package com.huatek.busi.service.transformer;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.HomeSearchDto;
import com.huatek.busi.dto.TransformerPdDto;
import com.huatek.busi.vo.HomeActualVo;
import com.huatek.busi.vo.TransformerPdCountVo;

/**
 * 变压器/电抗器——局部放电：021001、024001、027001 Service
 *
 * @author anker_cheng
 * @date Jun 26, 2019 1:11:47 PM
 */
public interface TransformerPdService {

    List<TransformerPdCountVo> getListEquInfo(String cacMonitorTypeCode, LocalDate day);

    List<Map<String, Object>> findReportDataList(String sensorCode, String startTime, String endTime);
    
    List<Map<String, Object>> findReportDataListByFirstData(String sensorCode);
    
    PageInfo<Map<String, Object>> findTransformerPdPage(TransformerPdDto transformerPd);
    
    PageInfo<Map<String, Object>> findGisPdPage(TransformerPdDto transformerPd);

    PageInfo<Map<String, Object>> findCablePdPage(TransformerPdDto transformerPd);

    List<Object> exportTransformerPdPage(TransformerPdDto transformerPdDto);
    
    List<Object> exportGisPdPage(TransformerPdDto transformerPdDto);

    List<Object> exportOtherPdPage(TransformerPdDto transformerPdDto);

    List<Object> exportCablePdPage(TransformerPdDto transformerPdDto);

    HomeActualVo queryActualCable(HomeSearchDto param);

    List<HomeActualVo> queryActualsCable();
}